import java.io.*;

class steamTable1
{
public static void main(String args[]) throws IOException
{
   boolean cont=true;
   char q='a';
   steam1 s=new steam1();
   Text cin=new Text();
   double v1,v2,v3;
   System.out.print("t = ");
   double t=cin.readDouble();
   System.out.print("v = ");
   double v=cin.readDouble();
   s.print(t,v);
   double a[]=s.property(t,v);
   //System.out.println(Matrix.toStringT(a));
   System.out.println("T_pv = "+s.t_pv(a[0],v));
   System.out.println("v_tp = "+s.v_tp(t,a[0]));
   System.out.println("v_th = "+s.v_th(t,a[3]));

   }
}